<?php

$structure = "";
if (isset($_SESSION['structure']))
	$structure = $_SESSION['structure'];
	
$struct = json_decode($structure);

$struct->name = $_REQUEST['name'];

$_SESSION['structure'] = json_encode($struct);
//echo $_SESSION['structure'];
?>